--- a/nwg_shell_config/shell/custom-hyprland
+++ b/nwg_shell_config/shell/custom-hyprland
@@ -46,8 +46,8 @@
   "gtklock-userinfo-under-clock": false,
   "gtklock-powerbar-show-labels": true,
   "gtklock-powerbar-linked-buttons": false,
-  "gtklock-reboot-command": "systemctl reboot",
-  "gtklock-poweroff-command": "systemctl -i poweroff",
+  "gtklock-reboot-command": "loginctl reboot",
+  "gtklock-poweroff-command": "loginctl poweroff",
   "gtklock-playerctl-art-size": 64,
   "gtklock-playerctl-position": "top-right",
   "gtklock-playerctl-show-hidden": true

--- a/nwg_shell_config/shell/custom
+++ b/nwg_shell_config/shell/custom
@@ -43,8 +43,8 @@
   "gtklock-userinfo-under-clock": false,
   "gtklock-powerbar-show-labels": true,
   "gtklock-powerbar-linked-buttons": false,
-  "gtklock-reboot-command": "systemctl reboot",
-  "gtklock-poweroff-command": "systemctl -i poweroff",
+  "gtklock-reboot-command": "loginctl reboot",
+  "gtklock-poweroff-command": "loginctl  poweroff",
   "gtklock-playerctl-art-size": 64,
   "gtklock-playerctl-position": "top-right",
   "gtklock-playerctl-show-hidden": true

--- a/nwg_shell_config/locker.py
+++ b/nwg_shell_config/locker.py
@@ -53,9 +53,9 @@
     "gtklock-logout-command": "swaymsg exit",
     "gtklock-playerctl": False,
     "gtklock-powerbar": False,
-    "gtklock-poweroff-command": "systemctl -i poweroff",
-    "gtklock-reboot-command": "systemctl reboot",
-    "gtklock-suspend-command": "systemctl suspend",
+    "gtklock-poweroff-command": "loginctl poweroff",
+    "gtklock-reboot-command": "loginctl reboot",
+    "gtklock-suspend-command": "loginctl suspend",
     "gtklock-time-format": "%H:%M:%S",
     "gtklock-userinfo": False,
     "gtklock-userswitch-command": ""

--- a/nwg_shell_config/main_hyprland.py
+++ b/nwg_shell_config/main_hyprland.py
@@ -1026,9 +1026,9 @@
         "gtklock-logout-command": "swaymsg exit",
         "gtklock-playerctl": False,
         "gtklock-powerbar": False,
-        "gtklock-poweroff-command": "systemctl -i poweroff",
-        "gtklock-reboot-command": "systemctl reboot",
-        "gtklock-suspend-command": "systemctl suspend",
+        "gtklock-poweroff-command": "loginctl poweroff",
+        "gtklock-reboot-command": "loginctl reboot",
+        "gtklock-suspend-command": "loginctl suspend",
         "gtklock-time-format": "%H:%M:%S",
         "gtklock-userinfo": False,
         "gtklock-userswitch-command": "",

--- a/nwg_shell_config/main_sway.py
+++ b/nwg_shell_config/main_sway.py
@@ -916,9 +916,9 @@
         "gtklock-logout-command": "swaymsg exit",
         "gtklock-playerctl": False,
         "gtklock-powerbar": False,
-        "gtklock-poweroff-command": "systemctl -i poweroff",
-        "gtklock-reboot-command": "systemctl reboot",
-        "gtklock-suspend-command": "systemctl suspend",
+        "gtklock-poweroff-command": "loginctl poweroff",
+        "gtklock-reboot-command": "loginctl reboot",
+        "gtklock-suspend-command": "loginctl suspend",
         "gtklock-time-format": "%H:%M:%S",
         "gtklock-userinfo": False,
         "gtklock-userswitch-command": "",

--- a/nwg_shell_config/shell/settings-hyprland
+++ b/nwg_shell_config/shell/settings-hyprland
@@ -110,9 +110,9 @@
   "gtklock-logout-command": "swaymsg exit",
   "gtklock-playerctl": false,
   "gtklock-powerbar": false,
-  "gtklock-poweroff-command": "systemctl -i poweroff",
-  "gtklock-reboot-command": "systemctl reboot",
-  "gtklock-suspend-command": "systemctl suspend",
+  "gtklock-poweroff-command": "loginctl poweroff",
+  "gtklock-reboot-command": "loginctl reboot",
+  "gtklock-suspend-command": "loginctl suspend",
   "gtklock-time-format": "%H:%M:%S",
   "gtklock-userinfo": false,
   "gtklock-userswitch-command": "",

--- a/nwg_shell_config/shell/settings
+++ b/nwg_shell_config/shell/settings
@@ -83,9 +83,9 @@
   "gtklock-logout-command": "swaymsg exit",
   "gtklock-playerctl": false,
   "gtklock-powerbar": false,
-  "gtklock-poweroff-command": "systemctl -i poweroff",
-  "gtklock-reboot-command": "systemctl reboot",
-  "gtklock-suspend-command": "systemctl suspend",
+  "gtklock-poweroff-command": "loginctl poweroff",
+  "gtklock-reboot-command": "loginctl reboot",
+  "gtklock-suspend-command": "loginctl suspend",
   "gtklock-time-format": "%H:%M:%S",
   "gtklock-userinfo": false,
   "gtklock-userswitch-command": ""

